---
title: "List mob prototypes"
description: "Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session."
type: reference
audience: operators
verified: v0.1.8
canonical: https://darkpawns.org/docs/reference/api/admin/operations/list-mob-prototypes/
---

[Documentation](/docs/) / [Reference](/docs/reference/)

# List mob prototypes

Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.

GET

/admin/mobs

FetchcURL

```
const url = 'https://example.com/admin/mobs';const options = {method: 'GET'};
try {  const response = await fetch(url, options);  const data = await response.json();  console.log(data);} catch (error) {  console.error(error);}
```

```
curl --request GET \  --url https://example.com/admin/mobs
```

All mob prototypes in the loaded world.

## Responses

### 200

OK

application/json

Array<object> | null

object

**ac**

required

integer format: int64

**action\_flags**

required

Array<string> | null

**affect\_flags**

required

Array<string> | null

**alignment**

required

integer format: int64

**cha**

required

integer format: int64

**con**

required

integer format: int64

**default\_pos**

required

integer format: int64

**dex**

required

integer format: int64

**exp**

required

integer format: int64

**gold**

required

integer format: int64

**hp**

required

string

**int**

required

integer format: int64

**keywords**

required

string

**level**

required

integer format: int64

**long\_desc**

required

string

**position**

required

integer format: int64

**race**

required

integer format: int64

**script\_name**

required

string

**sex**

required

integer format: int64

**short\_desc**

required

string

**str**

required

integer format: int64

**vnum**

required

integer format: int64

**wis**

required

integer format: int64

#### Example generated

```
[  {    "ac": 1,    "action_flags": [      "example"    ],    "affect_flags": [      "example"    ],    "alignment": 1,    "cha": 1,    "con": 1,    "default_pos": 1,    "dex": 1,    "exp": 1,    "gold": 1,    "hp": "example",    "int": 1,    "keywords": "example",    "level": 1,    "long_desc": "example",    "position": 1,    "race": 1,    "script_name": "example",    "sex": 1,    "short_desc": "example",    "str": 1,    "vnum": 1,    "wis": 1  }]
```

### default

Error

application/problem+json

object

**detail**

A human-readable explanation specific to this occurrence of the problem.

string

**errors**

Optional list of individual error details

Array<object> | null

object

**location**

Where the error occurred, e.g. ‘body.items\[3\].tags’ or ‘path.thing-id’

string

**message**

Error message text

string

**value**

The value at the given location

**instance**

A URI reference that identifies the specific occurrence of the problem.

string format: uri

**status**

HTTP status code

integer format: int64

**title**

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string

**type**

A URI reference to human-readable documentation for the error.

string format: uri

default: about:blank

#### Example

```
{  "detail": "Property foo is required but is missing.",  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "about:blank"}
```
